/*
 ===========================================================================
 =                                                                         =
 =  (C) Copyright 1991-1994 The Trustees of Indiana University             =
 =                                                                         =
 =  Permission to use, copy, modify, and distribute this program for       =
 =  any purpose and without fee is hereby granted, provided that this      =
 =  copyright and permission notice appear on all copies and supporting    =
 =  documentation, the name of Indiana University not be used in           =
 =  advertising or publicity pertaining to distribution of the program     =
 =  without specific prior permission, and notice be given in supporting   =
 =  documentation that copying and distribution is by permission of        =
 =  Indiana University.                                                    =
 =                                                                         =
 =  Indiana University makes no representations about the suitability of   =
 =  this software for any purpose. It is provided "as is" without express  =
 =  or implied warranty.                                                   =
 =                                                                         =
 ===========================================================================
 =                                                                         =
 = File:                                                                   =
 =   VERSION.H                                                             =
 =                                                                         =
 = Authors:                                                                =
 =   Jacob Levanon & Larry Hughes                                          =
 =   Indiana University                                                    =
 =   University Computing Services, Network Applications                   =
 =                                                                         =
 = Credits:                                                                =
 =   This software is based on the Post Office Protocol version 3,         =
 =   as implemented by the University of California at Berkeley.           =
 =                                                                         =
 ===========================================================================
 =                                                                         =
 = This file is modified to support the UIDL command.                      =
 = All lines  after "#ifdef UIDL_EXTEND" to the appropriate                =
 = "#else" or "#endif" statement are added. IF a #else section exists      =
 = in this construct, it contains the original code.                       =
 = M. Stenns         Jun 1996                                              =
 =                                                                         =
 ===========================================================================
*/

#ifdef UIDL_EXTEND

#ifdef KERBEROS

#ifdef WINS
#define VERSION  "1.8K-1u/WINS"
#elif MULTINET
#define VERSION  "1.8K-1u/MULT"
#else /* UCX */
#define VERSION  "1.8K-1u/UCX"
#endif

#else

#ifdef WINS
#define VERSION  "1.8-1u/WINS"
#elif MULTINET
#define VERSION  "1.8-1u/MULT"
#else /* UCX */
#define VERSION  "1.8-1u/UCX"
#endif

#endif

#else /* UIDL_EXTEND */

#ifdef KERBEROS

#ifdef WINS
#define VERSION  "1.8K-1/WINS"
#elif MULTINET
#define VERSION  "1.8K-1/MULT"
#else /* UCX */
#define VERSION  "1.8K-1/UCX"
#endif

#else

#ifdef WINS
#define VERSION  "1.8-1/WINS"
#elif MULTINET
#define VERSION  "1.8-1/MULT"
#else /* UCX */
#define VERSION  "1.8-1/UCX"
#endif

#endif

#endif /* UIDL_EXTEND */
