#!/bin/sh

#=====================================================================
# Define Variables
#=====================================================================
NODES=$1
UNAME=$2
PASS=$3
CMD=$4
ME=`/usr/ucb/whoami`

#=====================================================================
# Get Arguments
#=====================================================================
if [ "$NODES" = "" ]; then
  echo -n "IUPOP3 Node(s) > "
  read NODES
  if [ "$NODES" = "" ]; then exit; fi
fi

if [ "$UNAME" = "" ]; then
  echo -n "Username [$ME] > "
  read UNAME
  if [ "$UNAME" = "" ]; then UNAME=$ME; fi
fi

if [ "$PASS" = "" ]; then
  /bin/stty -echo
  echo -n "Password > "
  read PASS
  /bin/stty echo
  echo ""
  if [ "$PASS" = "" ]; then exit; fi
fi

if [ "$CMD" = "" ]; then
  echo -n "XTND command > "
  read CMD
  if [ "$CMD" = "" ]; then exit; fi
fi

#=====================================================================
# Verify Arguments
#=====================================================================
if /bin/tty -s; then
  if [ "$CMD" = "shutdown" -o "$CMD" = "SHUTDOWN" ]; then
    echo -n "Really shutdown IUPOP3 on $NODES? [y/n] > "
    read REPLY
    if [ "$REPLY" != "y" -a "$REPLY" != "Y" ]; then exit; fi
  fi
fi

#=====================================================================
# Do The Command
#=====================================================================
for NODE in $NODES
do
  kermit -C \
  "define %u $UNAME, define %p $PASS, define %c {$CMD}, define %n $NODE" << EOF
    set quiet on
    define %t 5
    set input silence \%t
    set input case observe
    set input timeout-action proceed

    define checkit reinput 0 {-ERR}, if success exit
    define sendit  input \%t {+OK}, if failure checkit, output {\%1\13}
    define login   do sendit {USER \%1}, do sendit {PASS \%2}
    define xcmd    do sendit {XTND \%1}, do sendit {NOOP}
    define logout  do sendit {QUIT}
    define xtnd    do login {\%1} {\%2}, do xcmd {\%3}, do logout

    write screen \10 
    set host \%n:110
    if not failure do xtnd {\%u} {\%p} {\%c}
    write screen \10 
    exit
EOF
done
